import React from 'react'
import ConveyorInstance from './conveyorInstance/conveyorInstance'
import { useConveyorStore } from '../../../../store/simulation/useConveyorStore'

function ConveyorInstances() {

    const { conveyors } = useConveyorStore();

    return (
        <>

            {conveyors.map((conveyor: ConveyorStatus) =>
                <ConveyorInstance conveyor={conveyor} key={conveyor.modelUuid} />
            )}

        </>
    )
}

export default ConveyorInstances